#!/usr/bin/env bash
# 定义应用组名
group_name='qjszx'
# 定义应用名称
app_name='weverse-api'
# 定义应用版本
app_version='v1'
docker stop ${app_name}
echo '----stop container----'
docker rm ${app_name}
echo '----rm container----'
docker rmi ${group_name}/${app_name}:${app_version}
echo '----rm image----'
# 打包编译docker镜像
docker build -t ${group_name}/${app_name}:${app_version} .
echo '----build image----'
docker run -it -p 7071:8080 --name ${app_name} \
--env=SPRING_CONFIG_LOCATION=/config/application.yml \
-v /etc/localtime:/etc/localtime \
-v /home/d1/project/weverse-api/logs:/home/weverse/logs \
-v /home/d1/project/weverse-api/uploadPath:/home/weverse/uploadPath \
-v /home/d1/project/weverse-api/config/application.yml:/config/application.yml \
-v /home/d1/project/weverse-api/config/application-druid.yml:/config/application-druid.yml \
-d ${group_name}/${app_name}:${app_version}
echo '----start container----'