package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Apply;

/**
 * 申请Mapper接口
 * 
 * @author ruoyi
 * @date 2025-01-26
 */
public interface ApplyMapper 
{
    /**
     * 查询申请
     * 
     * @param id 申请主键
     * @return 申请
     */
    public Apply selectApplyById(Long id);

    /**
     * 查询申请列表
     * 
     * @param apply 申请
     * @return 申请集合
     */
    public List<Apply> selectApplyList(Apply apply);

    public Apply selectApplyPerform(Apply apply);
    /**
     * 新增申请
     * 
     * @param apply 申请
     * @return 结果
     */
    public int insertApply(Apply apply);

    /**
     * 修改申请
     * 
     * @param apply 申请
     * @return 结果
     */
    public int updateApply(Apply apply);

    /**
     * 删除申请
     * 
     * @param id 申请主键
     * @return 结果
     */
    public int deleteApplyById(Long id);

    /**
     * 批量删除申请
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteApplyByIds(Long[] ids);
}
