package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.system.domain.Perform;

/**
 * 演出Service接口
 *
 * @author ruoyi
 * @date 2025-01-26
 */
public interface IPerformService {
    /**
     * 查询演出
     *
     * @param id 演出主键
     * @return 演出
     */
    public Perform selectPerformById(Long id);

    /**
     * 查询演出列表
     *
     * @param perform 演出
     * @return 演出集合
     */
    public List<Perform> selectPerformList(Perform perform);

    /**
     * 查询演出列表
     *
     * @return 演出集合
     */
    public List<Perform> getAll();

    /**
     * 新增演出
     *
     * @param perform 演出
     * @return 结果
     */
    public int insertPerform(Perform perform) throws Exception;

    /**
     * 修改演出
     *
     * @param perform 演出
     * @return 结果
     */
    public int updatePerform(Perform perform) throws Exception;

    /**
     * 批量删除演出
     *
     * @param ids 需要删除的演出主键集合
     * @return 结果
     */
    public int deletePerformByIds(Long[] ids);

    /**
     * 删除演出信息
     *
     * @param id 演出主键
     * @return 结果
     */
    public int deletePerformById(Long id);
}
