package com.ruoyi.system.service.service;

import java.util.List;
import com.ruoyi.system.domain.Apply;

/**
 * 申请Service接口
 * 
 * @author ruoyi
 * @date 2025-01-26
 */
public interface IApplyService 
{
    /**
     * 查询申请
     * 
     * @param id 申请主键
     * @return 申请
     */
    public Apply selectApplyById(Long id);

    /**
     * 查询申请列表
     * 
     * @param apply 申请
     * @return 申请集合
     */
    public List<Apply> selectApplyList(Apply apply);

    /**
     * 新增申请
     * 
     * @param apply 申请
     * @return 结果
     */
    public int insertApply(Apply apply) throws Exception;

    /**
     * 修改申请
     * 
     * @param apply 申请
     * @return 结果
     */
    public int updateApply(Apply apply);

    /**
     * 批量删除申请
     * 
     * @param ids 需要删除的申请主键集合
     * @return 结果
     */
    public int deleteApplyByIds(Long[] ids);

    /**
     * 删除申请信息
     * 
     * @param id 申请主键
     * @return 结果
     */
    public int deleteApplyById(Long id);
}
